classification
Title: Deprecate imp.new_module() in favour of types.ModuleType
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: Arfrever, brett.cannon, ezio.melotti, pitrou, python-dev
Priority: low Keywords: easy

Created on 2013-05-04 18:25 by brett.cannon, last changed 2013-06-15 02:26 by python-dev. This issue is now closed.

Messages (4)
msg188388 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-05-04 18:25
imp.new_module() does not need to exist since code can use types.ModuleType's constructor.
msg188439 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-05-05 12:05
If so, then at least the constructor should be documented.
msg191171 - (view) Author: Roundup Robot (python-dev) Date: 2013-06-14 23:20
New changeset be50f1403f4d by Brett Cannon in branch 'default':
Issue #17907: Document types.ModuleType's constructor and attributes,
http://hg.python.org/cpython/rev/be50f1403f4d
msg191185 - (view) Author: Roundup Robot (python-dev) Date: 2013-06-15 02:26
New changeset 9cacdb9d0c59 by Brett Cannon in branch 'default':
Issue #17907: touch up the code for imp.new_module().
http://hg.python.org/cpython/rev/9cacdb9d0c59
History
Date User Action Args
2013-06-15 02:26:38python-devsetmessages: + msg191185
2013-06-14 23:20:25brett.cannonsetstatus: open -> closed
resolution: fixed
stage: test needed -> resolved
2013-06-14 23:20:05python-devsetnosy: + python-dev
messages: + msg191171
2013-06-14 22:36:32brett.cannonsetassignee: brett.cannon
2013-06-11 20:48:09brett.cannonsetassignee: brett.cannon -> (no value)
2013-06-11 20:24:54brett.cannonsetassignee: brett.cannon
2013-05-10 17:47:16ezio.melottisetnosy: + ezio.melotti
type: enhancement
2013-05-05 12:05:38pitrousetnosy: + pitrou
messages: + msg188439
2013-05-04 23:49:16Arfreversetnosy: + Arfrever
2013-05-04 18:25:28brett.cannonlinkissue17177 dependencies
2013-05-04 18:25:08brett.cannoncreate